org.gitana.platform.services.traversal

## Class TraversalBuilder

- java.lang.Object
- - org.gitana.platform.services.traversal.TraversalBuilder

    public class TraversalBuilder
    extends Object

Author:
  uzi

### Field Summary

Fields
`protected String` `_currentKey`
`protected com.fasterxml.jackson.databind.node.ObjectNode` `_query`

### Constructor Summary

Constructors
`protected` `TraversalBuilder()` Creates a builder

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`TraversalBuilder` `depth(int depth)` Sets the depth for the traversal
`TraversalBuilder` `filter(String filter)`
`TraversalBuilder` `follow(QName associationTypeQName)`
`TraversalBuilder` `follow(QName associationTypeQName, Direction direction)`
`TraversalBuilder` `follow(String associationTypeString)`
`TraversalBuilder` `follow(String associationTypeString, String direction)`
`com.fasterxml.jackson.databind.node.ObjectNode` `get()` Retrieves the assembled object node.
`static TraversalBuilder` `start()`
`TraversalBuilder` `type(QName typeQName)`
`TraversalBuilder` `type(String typeString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _query

    protected com.fasterxml.jackson.databind.node.ObjectNode _query

#### _currentKey

    protected String _currentKey

### Constructor Detail

#### TraversalBuilder

    protected TraversalBuilder()

Creates a builder

### Method Detail

#### start

    public static TraversalBuilder start()

Returns:
  new builder

#### get

    public com.fasterxml.jackson.databind.node.ObjectNode get()

Retrieves the assembled object node.

Returns:
  object node

#### depth

    public TraversalBuilder depth(int depth)

Sets the depth for the traversal

Parameters:
  `depth` -
Returns:

#### follow

    public TraversalBuilder follow(QName associationTypeQName)

#### follow

    public TraversalBuilder follow(String associationTypeString)

#### follow

    public TraversalBuilder follow(String associationTypeString,
                                   String direction)

#### follow

    public TraversalBuilder follow(QName associationTypeQName,
                                   Direction direction)

#### type

    public TraversalBuilder type(String typeString)

#### type

    public TraversalBuilder type(QName typeQName)

#### filter

    public TraversalBuilder filter(String filter)